# __gnu_cxx::sequence_buffer< _Sequence, _Buf_sz > Class Template Reference

Inheritance diagram for __gnu_cxx::sequence_buffer< _Sequence, _Buf_sz >:

List of all members.

## Detailed Description

### template<class _Sequence, size_t _Buf_sz = 100>
class __gnu_cxx::sequence_buffer< _Sequence, _Buf_sz >

Definition at line 167 of file rope.

## Public Types

- typedef _Distance difference_type
- typedef _Category iterator_category
- typedef _Pointer pointer
- typedef _Reference reference
- typedef _Sequence::value_type value_type

## Public Member Functions

- void append (value_type *__s, size_t __len)
- void flush ()
- sequence_buffer & operator * ()
- sequence_buffer operator++ (int)
- sequence_buffer & operator++ ()
- sequence_buffer & operator= (const value_type &__rhs)
- sequence_buffer & operator= (const sequence_buffer &__x)
- sequence_buffer & operator= (sequence_buffer &__x)
- void push_back (value_type __x)
- sequence_buffer & put (value_type __x)
- sequence_buffer (_Sequence &__s)
- sequence_buffer (sequence_buffer &__x)
- sequence_buffer (const sequence_buffer &__x)
- sequence_buffer ()
- sequence_buffer & write (value_type *__s, size_t __len)
- ~sequence_buffer ()

## Protected Attributes

- size_t _M_buf_count
- value_type _M_buffer [_Buf_sz]
- _Sequence * _M_prefix

## Member Typedef Documentation

template<typename _Category, typename _Tp, typename _Distance = ptrdiff_t, typename _Pointer = _Tp*, typename _Reference = _Tp&>

typedef _Distance std::iterator< _Category, _Tp, _Distance, _Pointer, _Reference >::difference_type`[inherited]`

Distance between iterators is represented as this type.

Reimplemented in std::reverse_iterator< _Iterator >.

Definition at line 113 of file stl_iterator_base_types.h.

template<typename _Category, typename _Tp, typename _Distance = ptrdiff_t, typename _Pointer = _Tp*, typename _Reference = _Tp&>

typedef _Category std::iterator< _Category, _Tp, _Distance, _Pointer, _Reference >::iterator_category`[inherited]`

One of the tag types.

Definition at line 109 of file stl_iterator_base_types.h.

template<typename _Category, typename _Tp, typename _Distance = ptrdiff_t, typename _Pointer = _Tp*, typename _Reference = _Tp&>

typedef _Pointer std::iterator< _Category, _Tp, _Distance, _Pointer, _Reference >::pointer`[inherited]`

This type represents a pointer-to-value_type.

Reimplemented in std::_Bit_iterator, std::_Bit_const_iterator, std::reverse_iterator< _Iterator >, __gnu_cxx::_Rope_const_iterator< _CharT, _Alloc >, and __gnu_cxx::_Rope_iterator< _CharT, _Alloc >.

Definition at line 115 of file stl_iterator_base_types.h.

template<typename _Category, typename _Tp, typename _Distance = ptrdiff_t, typename _Pointer = _Tp*, typename _Reference = _Tp&>

typedef _Reference std::iterator< _Category, _Tp, _Distance, _Pointer, _Reference >::reference`[inherited]`

This type represents a reference-to-value_type.

Reimplemented in std::_Bit_iterator, std::_Bit_const_iterator, std::reverse_iterator< _Iterator >, __gnu_cxx::_Rope_const_iterator< _CharT, _Alloc >, and __gnu_cxx::_Rope_iterator< _CharT, _Alloc >.

Definition at line 117 of file stl_iterator_base_types.h.

template<class _Sequence, size_t _Buf_sz = 100>

typedef _Sequence::value_type __gnu_cxx::sequence_buffer< _Sequence, _Buf_sz >::value_type

The type "pointed to" by the iterator.

Reimplemented from std::iterator< _Category, _Tp, _Distance, _Pointer, _Reference >.

Definition at line 171 of file rope.

The documentation for this class was generated from the following file:

- rope